title Compton limit, test continuum partition
c test of thermal equil in compton limit; temp should EXACTLY equal 2E5K
c check continuum partition;
c energy range, photon densities, luminosities, follow
c 0.25-1.  Q=26.6470 L=15.8190     c 1-1.807  Q=26.8867 L=16.3766
c 1.807-4  Q=27.3042 L=17.0948     c 4-20     Q=27.2041 L=17.3179
c 20 --    Q=22.9038 L=22.9038     c total lumin 17.5597
c nufnu(912A) = 1.8029E+16
black body t=200,000K lte
*grains -5 no heating no cooling
hden = 6
stop zone 1
print faint .1
*print last 
init file "hheonly.ini"
*iterate
stop lyman continuum optical depth = -6
print departure coef
set dr 0
tolerance .0001  % decrease tolerance on heat-cool match
assert temperature hydrogen 2 200,000K, error 0.005
punch asserts last "compton.asr"
c compton.in
